%define	major	0
%define libname			%mklibname confuse %{major}
%define libname_devel		%mklibname confuse -d
%define libname_devel_static	%mklibname confuse -d -s

Summary:	A library for parsing configuration files in C
Name:		libconfuse
Version:	2.7
Release:	%mkrel 2
License:	ISC
Group:		System/Libraries
URL:		http://www.nongnu.org/confuse/
Source0:	http://bzero.se/confuse/confuse-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
libConfuse is a configuration file parser library, licensed under the terms
of the ISC license, and written in C. It supports sections and (lists of)
values (strings, integers, floats, booleans or other sections), as well as
some other features (such as single/double-quoted strings, environment
variable expansion, functions and nested include statements). It makes it
very easy to add configuration file capability to a program using a simple
API.

The goal of libConfuse is not to be the configuration file parser library
with a gazillion of features. Instead, it aims to be easy to use and quick
to integrate with your code. libConfuse was called libcfg before, but was
changed to not confuse with other similar libraries. 

%package -n	%{libname}
Summary:	A library of functions for parsing configuration files in C
Group:          System/Libraries

%description -n	%{libname}
libConfuse is a configuration file parser library, licensed under the terms
of the ISC license, and written in C. It supports sections and (lists of)
values (strings, integers, floats, booleans or other sections), as well as
some other features (such as single/double-quoted strings, environment
variable expansion, functions and nested include statements). It makes it
very easy to add configuration file capability to a program using a simple
API.

The goal of libConfuse is not to be the configuration file parser library
with a gazillion of features. Instead, it aims to be easy to use and quick
to integrate with your code. libConfuse was called libcfg before, but was
changed to not confuse with other similar libraries. 

%package -n	%{libname_devel}
Summary:	Development files for the %{name} library
Group:		Development/Libraries
Provides:	confuse-devel = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%{_lib}confuse0-devel
Obsoletes:	%{_lib}confuse-static-devel

%description -n	%{libname_devel}
Development library and header files for the %{name} library


%prep

%setup -q -n confuse-%{version}

%build

%configure2_5x \
    --enable-shared \
    --disable-static \
    --disable-rpath

%make

%install
rm -rf %buildroot
%makeinstall_std

install -d %{buildroot}%{_mandir}/man3
install -m0644 doc/man/man3/*.3 %{buildroot}%{_mandir}/man3/

rm -rf %buildroot/%{_libdir}/*.la

%find_lang confuse

%clean
rm -rf %buildroot

%files -n %{libname} -f confuse.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_libdir}/*.so.%{major}*
%{_mandir}/man3/*

%files -n %{libname_devel}
%defattr(-,root,root)
%doc examples doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Sep 07 2015 bb <bb> 2.7-2pclo2015
- rebuild for updates
- drop .la file
- disable-static build

* Tue Aug 31 2010 Texstar <texstar at gmail.com> 2.7-1pclos2010
- 2.7 for 2010 release

